# FoundationClasses
TKMath
Convert

# Convert_CylinderToBSplineSurface Class Reference

This algorithm converts a bounded cylinder into a rational
B-spline surface. The cylinder is a Cylinder from package gp.
The parametrization of the cylinder is :
P (U, V) = Loc + V * Zdir + Radius * (Xdir*Cos(U) + Ydir*Sin(U))
where Loc is the location point of the cylinder, Xdir, Ydir and
Zdir are the normalized directions of the local cartesian
coordinate system of the cylinder (Zdir is the direction of the
cylinder's axis). The U parametrization range is U [0, 2PI].
KeyWords :
Convert, Cylinder, BSplineSurface.
.

`#include <Convert_CylinderToBSplineSurface.hxx>`

Inheritance diagram for Convert_CylinderToBSplineSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Convert_CylinderToBSplineSurface (const gp_Cylinder &Cyl, const Standard_Real U1, const Standard_Real U2, const Standard_Real V1, const Standard_Real V2)
| The equivalent B-splineSurface as the same orientation as the cylinder in the U and V parametric directions. Raised if U1 = U2 or U1 = U2 + 2.0 * Pi Raised if V1 = V2. .
Standard_EXPORT | Convert_CylinderToBSplineSurface (const gp_Cylinder &Cyl, const Standard_Real V1, const Standard_Real V2)
| The equivalent B-splineSurface as the same orientation as the cylinder in the U and V parametric directions. Raised if V1 = V2. .

## Constructor & Destructor Documentation

Standard_EXPORT Convert_CylinderToBSplineSurface::Convert_CylinderToBSplineSurface | ( | const gp_Cylinder & | Cyl,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2,
|  | const Standard_Real | V1,
|  | const Standard_Real | V2
| ) |

Standard_EXPORT Convert_CylinderToBSplineSurface::Convert_CylinderToBSplineSurface | ( | const gp_Cylinder & | Cyl,
|  | const Standard_Real | V1,
|  | const Standard_Real | V2
| ) |

## Member Function Documentation

void Convert_CylinderToBSplineSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Convert_ElementarySurfaceToBSplineSurface.

void* Convert_CylinderToBSplineSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Convert_ElementarySurfaceToBSplineSurface.

void* Convert_CylinderToBSplineSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Convert_ElementarySurfaceToBSplineSurface.

The documentation for this class was generated from the following file:

- Convert_CylinderToBSplineSurface.hxx